package myfitnessdiary;

import java.io.Writer;
import java.time.LocalDate;

import myfitnessdiary.controller.Controller;
import myfitnessdiary.controller.MyController;
import myfitnessdiary.controller.test.ActivityRepositoryMock;
import myfitnessdiary.model.FitnessDiary;
import myfitnessdiary.model.MyFitnessDiary;
import myfitnessdiary.persistence.ActivityRepository;
import myfitnessdiary.persistence.ReportWriter;
import myfitnessdiary.ui.FitnessFrame;

public class GUITest {

	public static void main(String[] args) {
		ActivityRepository activityRepository = new ActivityRepositoryMock();
		FitnessDiary fitnessDiary = new MyFitnessDiary();
		ReportWriter reportWriter = new ReportWriter() {
			@Override
			public void printReport(Writer writer, LocalDate date, FitnessDiary diary) {
			}
		};
		Controller myController = new MyController(fitnessDiary, activityRepository, reportWriter);

		FitnessFrame fitnessFrame = new FitnessFrame(myController);
		fitnessFrame.setVisible(true);
	}
}